Index: trunk/admin/modules/Elezioni/aggiornadb.php
===================================================================
--- trunk/admin/modules/Elezioni/aggiornadb.php	(revision 383)
+++ trunk/admin/modules/Elezioni/aggiornadb.php	(revision 384)
@@ -3,5 +3,5 @@
 #imposta il charset su utf8, qualsiasi altro valore per cambiarlo in latin1;
 $newcs='utf8'; 
-/*
+
 @require_once("..\..\config.php"); 
 	try{
@@ -14,5 +14,5 @@
 	    die( $sql . "<br>" . $e->getMessage());
 	} 
-*/
+
 
 ###############
@@ -272,4 +272,8 @@
 
 $sql="ALTER TABLE `".$prefix."_ele_lista` CHANGE `num_circ` `num_circ` INT(2) UNSIGNED NOT NULL DEFAULT '1';";
+$ret=aggiorna($sql,$dbi,'',$num);
+
+echo "<br><br>".++$num.") Aggiornamento della tabella _ele_conf per la nuova gestione della L.R. Sicilia";
+$sql="UPDATE `".$prefix."_ele_conf` SET `inffisso` = '1' WHERE `id_conf` = 4;";
 $ret=aggiorna($sql,$dbi,'',$num);
 
Index: trunk/admin/modules/Elezioni/ele_spoglio.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_spoglio.php	(revision 383)
+++ trunk/admin/modules/Elezioni/ele_spoglio.php	(revision 384)
@@ -4,5 +4,5 @@
 /* by Luciano Apolito & Roberto Gigli                                   */
 /* http://www.eleonline.it                                              */
-/* info@eleonline.it  luciano@aniene.net rgigli@libero.it               */
+/* info@eleonline.it  rgigli@libero.it                                  */
 /************************************************************************/
 
@@ -232,8 +232,14 @@
 ####### 06-11-2014 - circoscrizionali - nello spostamento ad altra sezione resta sullo stesso numero di lista anche se sono sezioni di diverse circoscrizioni
 if ($circo and $id_lista){
-	$sql="SELECT num_lista from ".$prefix."_ele_lista where id_lista=$id_lista";
-	$res_lis = $dbi->prepare("$sql");
-	$res_lis->execute();
-	list($num_lista)=$res_lis->fetch(PDO::FETCH_NUM);
+	$sql="SELECT id_circ from ".$prefix."_ele_lista where id_lista=$id_lista";
+	$result = $dbi->prepare("$sql");
+	$result->execute();
+	list($tmp_circ)=$result->fetch(PDO::FETCH_NUM);
+	if($tmp_circ==$id_circ){
+		$sql="SELECT num_lista from ".$prefix."_ele_lista where id_lista=$id_lista";
+		$res_lis = $dbi->prepare("$sql");
+		$res_lis->execute();
+		list($num_lista)=$res_lis->fetch(PDO::FETCH_NUM);
+	} else $id_lista=0;
 }
 
Index: trunk/admin/modules/Elezioni/ele_voti.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_voti.php	(revision 383)
+++ trunk/admin/modules/Elezioni/ele_voti.php	(revision 384)
@@ -4,5 +4,5 @@
 /* by Roberto Gigli & Luciano Apolito                                   */
 /* http://www.eleonline.it                                              */
-/* info@eleonline.it  luciano@aniene.net rgigli@libero.it               */
+/* info@eleonline.it  rgigli@libero.it                                  */
 /************************************************************************/
 /* Modulo Inserimento dati                                              */
@@ -334,14 +334,14 @@
 echo "<div data-role=\"content\" data-theme=\"a\"><hr><h2>Sezione n. $num_sez</h2><table style=\"margin-left:auto; margin-right:auto;\"><tr>";
 #<a href=\"admin.php?id_comune=$id_comune&amp;id_cons_gen=$id_cons_gen&amp;ops=1\"></a>
-echo "\n<td bgcolor=\"$bgcolora\" align=\"center\" $bordoa onClick=\"vai_scelta('admin.php?op=voti&amp;id_comune=$id_comune&amp;id_sez=$id_sez&amp;id_cons_gen=$id_cons_gen&amp;do=spoglio&amp;ops=1');\"><p style=\"margin-left:10px;margin-right:10px;\"><font color=\"$tcolora\"><b>"._AFFLUENZE."</font></b></p></td>\n";
+echo "\n<td bgcolor=\"$bgcolora\" align=\"center\" $bordoa onClick=\"vai_scelta('admin.php?op=voti&amp;id_comune=$id_comune&amp;id_sez=$id_sez&amp;id_circ=$id_circ&amp;id_cons_gen=$id_cons_gen&amp;do=spoglio&amp;ops=1');\"><p style=\"margin-left:10px;margin-right:10px;\"><font color=\"$tcolora\"><b>"._AFFLUENZE."</font></b></p></td>\n";
 if(!($genere==4) and !($votog)){ //if(!($genere==4) and !($tipo_cons==10 or $tipo_cons==11)){
-	echo "<td bgcolor=\"$bgcolorg\" align=\"center\" $bordog onClick=\"vai_scelta('admin.php?op=voti&amp;id_comune=$id_comune&amp;id_sez=$id_sez&amp;id_cons_gen=$id_cons_gen&amp;do=spoglio&amp;ops=4');\"><p style=\"margin-left:10px;margin-right:10px;\"><b><font color=\"$tcolorg\">"._GRUPPO."</font></b></p></td>\n";
+	echo "<td bgcolor=\"$bgcolorg\" align=\"center\" $bordog onClick=\"vai_scelta('admin.php?op=voti&amp;id_comune=$id_comune&amp;id_sez=$id_sez&amp;id_circ=$id_circ&amp;id_cons_gen=$id_cons_gen&amp;do=spoglio&amp;ops=4');\"><p style=\"margin-left:10px;margin-right:10px;\"><b><font color=\"$tcolorg\">"._GRUPPO."</font></b></p></td>\n";
 }
 if($genere==2 and $votog)
-	echo "<td bgcolor=\"$bgcolorg\" align=\"center\" $bordog onClick=\"vai_scelta('admin.php?op=voti&amp;id_comune=$id_comune&amp;id_sez=$id_sez&amp;id_cons_gen=$id_cons_gen&amp;do=spoglio&amp;ops=4');\"><p style=\"margin-left:10px;margin-right:10px;\"><b><font color=\"$tcolorg\">"._GRUPPO."</font></b></p></td>\n";
+	echo "<td bgcolor=\"$bgcolorg\" align=\"center\" $bordog onClick=\"vai_scelta('admin.php?op=voti&amp;id_comune=$id_comune&amp;id_sez=$id_sez&amp;id_circ=$id_circ&amp;id_cons_gen=$id_cons_gen&amp;do=spoglio&amp;ops=4');\"><p style=\"margin-left:10px;margin-right:10px;\"><b><font color=\"$tcolorg\">"._GRUPPO."</font></b></p></td>\n";
 elseif($genere>=4 and !$votoc)
-	echo "<td bgcolor=\"$bgcolorl\" align=\"center\"$bordol onClick=\"vai_scelta('admin.php?op=voti&amp;id_comune=$id_comune&amp;id_sez=$id_sez&amp;id_cons_gen=$id_cons_gen&amp;do=spoglio&amp;ops=3');\"><p style=\"margin-left:10px;margin-right:10px;\"><b><font color=\"$tcolorl\">"._LISTAPREF."</font></b></p></td>\n";
+	echo "<td bgcolor=\"$bgcolorl\" align=\"center\"$bordol onClick=\"vai_scelta('admin.php?op=voti&amp;id_comune=$id_comune&amp;id_sez=$id_sez&amp;id_circ=$id_circ&amp;id_cons_gen=$id_cons_gen&amp;do=spoglio&amp;ops=3');\"><p style=\"margin-left:10px;margin-right:10px;\"><b><font color=\"$tcolorl\">"._LISTAPREF."</font></b></p></td>\n";
 elseif(($genere>2 or $votog)){ //if(($genere>2 or $tipo_cons==10 or $tipo_cons==11)){
-	echo "<td bgcolor=\"$bgcolorl\" align=\"center\"$bordol onClick=\"vai_scelta('admin.php?op=voti&amp;id_comune=$id_comune&amp;id_sez=$id_sez&amp;id_cons_gen=$id_cons_gen&amp;do=spoglio&amp;ops=3');\"><p style=\"margin-left:10px;margin-right:10px;\"><b><font color=\"$tcolorl\">"._LISTA."</font></b></p></td>\n";
+	echo "<td bgcolor=\"$bgcolorl\" align=\"center\"$bordol onClick=\"vai_scelta('admin.php?op=voti&amp;id_comune=$id_comune&amp;id_sez=$id_sez&amp;id_circ=$id_circ&amp;id_cons_gen=$id_cons_gen&amp;do=spoglio&amp;ops=3');\"><p style=\"margin-left:10px;margin-right:10px;\"><b><font color=\"$tcolorl\">"._LISTA."</font></b></p></td>\n";
 }
 echo "</tr></table><hr></div>\n";
Index: trunk/admin/modules/Elezioni/language/lang-it.php
===================================================================
--- trunk/admin/modules/Elezioni/language/lang-it.php	(revision 383)
+++ trunk/admin/modules/Elezioni/language/lang-it.php	(revision 384)
@@ -44,4 +44,5 @@
 		break;
 	case 4:
+		define("_CONSULTAZIONE","Consultazione Elezioni Circoscrizionali"); //genere 5
 		define("_GRUPPO","Candidato Presidente");
 		define("_SOLO_GRUPPO","Voti al solo candidato Presidente");
Index: trunk/admin/versione.php
===================================================================
--- trunk/admin/versione.php	(revision 383)
+++ trunk/admin/versione.php	(revision 384)
@@ -1,7 +1,7 @@
 <?php
 
-$versione = "3.0 rev 383";
+$versione = "3.0 rev 384";
 $version_number = $versione;
-$datarel = "15novembre 2022";
+$datarel = "24 gennaio 20223";
 $version = "Eleonline $version_number (<i>Data Release: $datarel</i>)";
 
